# Tarfile created using git             
# git clone git://gitorious.org/meego-middleware/libsocialweb.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}.tar.bz2                
%define git_version d4727d9
%define tarfile %{name}-%{version}.tar.bz2

Name:          libsocialweb
Version:       0.24.9
Release:       3%{?dist}.1
Summary:       A social network data aggregator

Group:         Applications/Internet
License:       LGPLv2
URL:           http://www.meego.org/
Source0:       %{tarfile}

BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libsoup-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: rest-devel
BuildRequires: intltool

Requires: %{name}-keys = %{version}-%{release}
Source1: flickr
Source2: myspace
Source3: twitter
Source4: digg
Source5: lastfm

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

Provides: mojito = %{version}
Obsoletes: mojito < 0.22.0

%description
libsocialweb is a social data server which fetches data from the "social web", 
such as your friend's blog posts and photos, upcoming events, recently played 
tracks, and pending eBay* auctions. It also provides a service to update 
your status on web services which support it, such as MySpace* and Twitter*.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package keys
Summary: API keys for %{name}
Group: Applications/Internet
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description keys
Keys allowing access to various web services through libsocialweb.

%prep
%setup -q

chmod 644 examples/*.py 

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --with-gnome --with-online=networkmanager --disable-static \
   --enable-digg --enable-twitter --enable-lastfm --enable-myspace --enable-flickr

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives and static libs.
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

mkdir -p %{buildroot}/%{_datadir}/libsocialweb/keys
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{buildroot}/%{_datadir}/libsocialweb/keys

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_libdir}/libsocialweb*.0
%{_libdir}/libsocialweb*.1
%{_libdir}/libsocialweb/
%dir %{_datadir}/libsocialweb/
%{_datadir}/libsocialweb/services/
%{_datadir}/dbus-1/services/libsocialweb.service
%{_libexecdir}/libsocialweb-core

%files devel
%defattr(-,root,root,-)
%doc tests/*.c examples/*c examples/*.py
%{_includedir}/libsocialweb
%{_libdir}/pkgconfig/libsocialweb*
%{_libdir}/libsocialweb*so

%files keys
%defattr(-,root,root,-)
%{_datadir}/libsocialweb/keys

%changelog
* Fri Oct 08 2010 Jesse Keating <jkeating@redhat.com> - 0.24.9-3.1
- Rebuild for gcc bug 634757

* Thu Sep 23 2010 Peter Robinson <pbrobinson@gmail.com> 0.24.9-3
- Obsolete mojito

* Thu Aug 26 2010 Bastien Nocera <bnocera@redhat.com> 0.24.9-2
- Add API keys to the -keys sub-package

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.24.9-1
- Update to 0.24.9

* Wed May 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.24.8-1
- rename package from mojito to libsocialweb
- Update to 0.24.8

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.22.1-1
- Update to 0.22.1

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.22.0-2
- Add upstream patch to fix crash

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.22.0-1
- New major upstream 0.22.0 release

* Wed Dec  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.7-1
- Update to 0.21.7

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.6-1
- Update to 0.21.6, move to the official tarball release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.5-1
- Update to 0.21.5

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.4-2
- enable digg support

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.4-1
- Update to 0.21.4

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.3-1
- Update to 0.21.3

* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.2-1
- Update to 0.21.2

* Tue Sep 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.1-1
- Update to 0.21.1

* Thu Sep  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.20.1-1
- Update to 0.20.1

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-5
- Actually commit patch for detection of new NetworkManager

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-4
- Add patch for detection of new NetworkManager

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-3
- Rebuild for new NetworkManager

* Sat Aug 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-2
- Enable twitter, lastfm, MySpace and Flickr networks

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-1
- Update to 0.20

* Wed Aug  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.19.2-2
- A few minor spec file cleanups

* Wed Aug  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.19.2-1
- Update to 0.19.2 - updated translations

* Tue Jul 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.19.1-1
- Update to 0.19.1 - updated translations

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.19-1
- Update to 0.19

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.18.1-1
- Update to 0.18.1

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-3
- Add some additional buildreqs

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-2
- Add some additional buildreqs

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-1
- Update to new 0.17 release, add language support and more backends

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.3-2
- Add extra build deps

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.3-1
- Initial packaging
